Bug 1004143 - "test unit ready failed" on LUN 0 delays boot when a virtio-scsi target does not have any disk on LUN 0
Summary: "test unit ready failed" on LUN 0 delays boot when a virtio-scsi target does ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-04 04:36 UTC by xu
Modified: 2014-06-18 03:35 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-1.5.3-47.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:54:31 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
seabois log (30.92 KB, text/plain)
2013-09-04 04:36 UTC, xu
no flags Details

Description xu 2013-09-04 04:36:24 UTC
Description of problem:

fail to boot guest with multi-virtio-scsi disks, with below info in seabios log:

2013-09-04 11:51:07: found virtio-scsi at 0:5
2013-09-04 11:51:07: Searching bootorder for: /pci@i0cf8/*@5/*@0/*@0,0
2013-09-04 11:51:07: virtio-scsi vendor='QEMU' product='QEMU HARDDISK' rev='1.5.' type=0 removable=0
2013-09-04 11:51:07: ata0-0: QEMU HARDDISK ATA-7 Hard-Disk (20480 MiBytes)
2013-09-04 11:51:07: Searching bootorder for: /pci@i0cf8/*@1,1/drive@0/disk@0
2013-09-04 11:51:07: virtio-scsi blksize=512 sectors=2048
2013-09-04 11:51:07: Searching bootorder for: /pci@i0cf8/*@5/*@0/*@1,0
2013-09-04 11:51:07: virtio-scsi vendor='QEMU' product='QEMU TARGET' rev='1.5' type=31 removable=0
2013-09-04 11:51:07: PS2 keyboard initialized
2013-09-04 11:51:07: All threads complete.
2013-09-04 11:51:12: test unit ready failed
2013-09-04 11:51:12: scsi_is_ready returned -1
2013-09-04 11:51:12: Searching bootorder for: /pci@i0cf8/*@5/*@0/*@2,0
2013-09-04 11:51:12: virtio-scsi vendor='QEMU' product='QEMU TARGET' rev='1.5' type=31 removable=0
2013-09-04 11:51:17: test unit ready failed
2013-09-04 11:51:17: scsi_is_ready returned -1
 ...


Version-Release number of selected component (if applicable):

seabios-1.7.2.2-2.el7.x86_64
qemu-kvm-1.5.3-2.el7.x86_64

How reproducible:

100%

Steps to Reproduce:
1. boot guest with command line:
/usr/libexec/qemu-kvm \
   -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130904-095510-C4rRgLUg,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130904-095510-C4rRgLUg,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130904-095510-C4rRgLUg,path=/tmp/seabios-20130904-095510-C4rRgLUg,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130904-095510-C4rRgLUg,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/root/test/autotest/client/tests/virt/shared/data/images/RHEL-Server-7.0-64.qcow2',if=none,id=drive-ide0-0-0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,bootindex=0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5 \
    -drive file='/tmp/stg0.qcow2',if=none,id=virtio-scsi-id0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=0,lun=0,drive=virtio-scsi-id0 \
    -drive file='/tmp/stg1.qcow2',if=none,id=virtio-scsi-id1,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=1,lun=8191,drive=virtio-scsi-id1 \
    -drive file='/tmp/stg2.qcow2',if=none,id=virtio-scsi-id2,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=2,lun=16382,drive=virtio-scsi-id2 \
    -drive file='/tmp/stg3.qcow2',if=none,id=virtio-scsi-id3,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=3,lun=0,drive=virtio-scsi-id3 \
    -drive file='/tmp/stg4.qcow2',if=none,id=virtio-scsi-id4,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=4,lun=8191,drive=virtio-scsi-id4 \
    -drive file='/tmp/stg5.qcow2',if=none,id=virtio-scsi-id5,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=5,lun=16382,drive=virtio-scsi-id5 \
    -drive file='/tmp/stg6.qcow2',if=none,id=virtio-scsi-id6,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=6,lun=0,drive=virtio-scsi-id6 \
    -drive file='/tmp/stg7.qcow2',if=none,id=virtio-scsi-id7,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=7,lun=8191,drive=virtio-scsi-id7 \
    -drive file='/tmp/stg8.qcow2',if=none,id=virtio-scsi-id8,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=8,lun=16382,drive=virtio-scsi-id8 \
    -drive file='/tmp/stg9.qcow2',if=none,id=virtio-scsi-id9,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=9,lun=0,drive=virtio-scsi-id9 \
    -drive file='/tmp/stg10.qcow2',if=none,id=virtio-scsi-id10,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=10,lun=8191,drive=virtio-scsi-id10 \
    -drive file='/tmp/stg11.qcow2',if=none,id=virtio-scsi-id11,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=11,lun=16382,drive=virtio-scsi-id11 \
    -drive file='/tmp/stg12.qcow2',if=none,id=virtio-scsi-id12,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=12,lun=0,drive=virtio-scsi-id12 \
    -drive file='/tmp/stg13.qcow2',if=none,id=virtio-scsi-id13,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=13,lun=8191,drive=virtio-scsi-id13 \
    -drive file='/tmp/stg14.qcow2',if=none,id=virtio-scsi-id14,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=14,lun=16382,drive=virtio-scsi-id14 \
    -drive file='/tmp/stg15.qcow2',if=none,id=virtio-scsi-id15,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=15,lun=0,drive=virtio-scsi-id15 \
    -drive file='/tmp/stg16.qcow2',if=none,id=virtio-scsi-id16,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=16,lun=8191,drive=virtio-scsi-id16 \
    -drive file='/tmp/stg17.qcow2',if=none,id=virtio-scsi-id17,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=17,lun=16382,drive=virtio-scsi-id17 \
    -drive file='/tmp/stg18.qcow2',if=none,id=virtio-scsi-id18,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=18,lun=0,drive=virtio-scsi-id18 \
    -drive file='/tmp/stg19.qcow2',if=none,id=virtio-scsi-id19,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=19,lun=8191,drive=virtio-scsi-id19 \
    -drive file='/tmp/stg20.qcow2',if=none,id=virtio-scsi-id20,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=20,lun=16382,drive=virtio-scsi-id20 \
    -drive file='/tmp/stg21.qcow2',if=none,id=virtio-scsi-id21,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=21,lun=0,drive=virtio-scsi-id21 \
    -drive file='/tmp/stg22.qcow2',if=none,id=virtio-scsi-id22,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=22,lun=8191,drive=virtio-scsi-id22 \
    -drive file='/tmp/stg23.qcow2',if=none,id=virtio-scsi-id23,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=23,lun=16382,drive=virtio-scsi-id23 \
    -drive file='/tmp/stg24.qcow2',if=none,id=virtio-scsi-id24,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=24,lun=0,drive=virtio-scsi-id24 \
    -drive file='/tmp/stg25.qcow2',if=none,id=virtio-scsi-id25,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=25,lun=8191,drive=virtio-scsi-id25 \
    -drive file='/tmp/stg26.qcow2',if=none,id=virtio-scsi-id26,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=26,lun=16382,drive=virtio-scsi-id26 \
    -drive file='/tmp/stg27.qcow2',if=none,id=virtio-scsi-id27,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=27,lun=0,drive=virtio-scsi-id27 \
    -drive file='/tmp/stg28.qcow2',if=none,id=virtio-scsi-id28,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=28,lun=8191,drive=virtio-scsi-id28 \
    -drive file='/tmp/stg29.qcow2',if=none,id=virtio-scsi-id29,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=29,lun=16382,drive=virtio-scsi-id29 \
    -drive file='/tmp/stg30.qcow2',if=none,id=virtio-scsi-id30,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=30,lun=0,drive=virtio-scsi-id30 \
    -drive file='/tmp/stg31.qcow2',if=none,id=virtio-scsi-id31,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=31,lun=8191,drive=virtio-scsi-id31 \
    -drive file='/tmp/stg32.qcow2',if=none,id=virtio-scsi-id32,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=32,lun=16382,drive=virtio-scsi-id32 \
    -drive file='/tmp/stg33.qcow2',if=none,id=virtio-scsi-id33,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=33,lun=0,drive=virtio-scsi-id33 \
    -drive file='/tmp/stg34.qcow2',if=none,id=virtio-scsi-id34,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=34,lun=8191,drive=virtio-scsi-id34 \
    -drive file='/tmp/stg35.qcow2',if=none,id=virtio-scsi-id35,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=35,lun=16382,drive=virtio-scsi-id35 \
    -drive file='/tmp/stg36.qcow2',if=none,id=virtio-scsi-id36,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=36,lun=0,drive=virtio-scsi-id36 \
    -drive file='/tmp/stg37.qcow2',if=none,id=virtio-scsi-id37,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=37,lun=8191,drive=virtio-scsi-id37 \
    -drive file='/tmp/stg38.qcow2',if=none,id=virtio-scsi-id38,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=38,lun=16382,drive=virtio-scsi-id38 \
    -drive file='/tmp/stg39.qcow2',if=none,id=virtio-scsi-id39,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=39,lun=0,drive=virtio-scsi-id39 \
    -drive file='/tmp/stg40.qcow2',if=none,id=virtio-scsi-id40,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=40,lun=8191,drive=virtio-scsi-id40 \
    -drive file='/tmp/stg41.qcow2',if=none,id=virtio-scsi-id41,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=41,lun=16382,drive=virtio-scsi-id41 \
    -drive file='/tmp/stg42.qcow2',if=none,id=virtio-scsi-id42,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=42,lun=0,drive=virtio-scsi-id42 \
    -drive file='/tmp/stg43.qcow2',if=none,id=virtio-scsi-id43,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=43,lun=8191,drive=virtio-scsi-id43 \
    -drive file='/tmp/stg44.qcow2',if=none,id=virtio-scsi-id44,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=44,lun=16382,drive=virtio-scsi-id44 \
    -drive file='/tmp/stg45.qcow2',if=none,id=virtio-scsi-id45,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=45,lun=0,drive=virtio-scsi-id45 \
    -drive file='/tmp/stg46.qcow2',if=none,id=virtio-scsi-id46,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=46,lun=8191,drive=virtio-scsi-id46 \
    -drive file='/tmp/stg47.qcow2',if=none,id=virtio-scsi-id47,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=47,lun=16382,drive=virtio-scsi-id47 \
    -drive file='/tmp/stg48.qcow2',if=none,id=virtio-scsi-id48,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=48,lun=0,drive=virtio-scsi-id48 \
    -drive file='/tmp/stg49.qcow2',if=none,id=virtio-scsi-id49,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=49,lun=8191,drive=virtio-scsi-id49 \
    -drive file='/tmp/stg50.qcow2',if=none,id=virtio-scsi-id50,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=50,lun=16382,drive=virtio-scsi-id50 \
    -drive file='/tmp/stg51.qcow2',if=none,id=virtio-scsi-id51,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=51,lun=0,drive=virtio-scsi-id51 \
    -drive file='/tmp/stg52.qcow2',if=none,id=virtio-scsi-id52,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=52,lun=8191,drive=virtio-scsi-id52 \
    -drive file='/tmp/stg53.qcow2',if=none,id=virtio-scsi-id53,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=53,lun=16382,drive=virtio-scsi-id53 \
    -drive file='/tmp/stg54.qcow2',if=none,id=virtio-scsi-id54,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=54,lun=0,drive=virtio-scsi-id54 \
    -drive file='/tmp/stg55.qcow2',if=none,id=virtio-scsi-id55,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=55,lun=8191,drive=virtio-scsi-id55 \
    -drive file='/tmp/stg56.qcow2',if=none,id=virtio-scsi-id56,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=56,lun=16382,drive=virtio-scsi-id56 \
    -drive file='/tmp/stg57.qcow2',if=none,id=virtio-scsi-id57,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=57,lun=0,drive=virtio-scsi-id57 \
    -drive file='/tmp/stg58.qcow2',if=none,id=virtio-scsi-id58,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=58,lun=8191,drive=virtio-scsi-id58 \
    -drive file='/tmp/stg59.qcow2',if=none,id=virtio-scsi-id59,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=59,lun=16382,drive=virtio-scsi-id59 \
    -drive file='/tmp/stg60.qcow2',if=none,id=virtio-scsi-id60,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=60,lun=0,drive=virtio-scsi-id60 \
    -drive file='/tmp/stg61.qcow2',if=none,id=virtio-scsi-id61,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=61,lun=8191,drive=virtio-scsi-id61 \
    -drive file='/tmp/stg62.qcow2',if=none,id=virtio-scsi-id62,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=62,lun=16382,drive=virtio-scsi-id62 \
    -drive file='/tmp/stg63.qcow2',if=none,id=virtio-scsi-id63,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=63,lun=0,drive=virtio-scsi-id63 \
    -drive file='/tmp/stg64.qcow2',if=none,id=virtio-scsi-id64,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=64,lun=8191,drive=virtio-scsi-id64 \
    -drive file='/tmp/stg65.qcow2',if=none,id=virtio-scsi-id65,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=65,lun=16382,drive=virtio-scsi-id65 \
    -drive file='/tmp/stg66.qcow2',if=none,id=virtio-scsi-id66,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=66,lun=0,drive=virtio-scsi-id66 \
    -drive file='/tmp/stg67.qcow2',if=none,id=virtio-scsi-id67,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=67,lun=8191,drive=virtio-scsi-id67 \
    -drive file='/tmp/stg68.qcow2',if=none,id=virtio-scsi-id68,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=68,lun=16382,drive=virtio-scsi-id68 \
    -drive file='/tmp/stg69.qcow2',if=none,id=virtio-scsi-id69,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=69,lun=0,drive=virtio-scsi-id69 \
    -drive file='/tmp/stg70.qcow2',if=none,id=virtio-scsi-id70,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=70,lun=8191,drive=virtio-scsi-id70 \
    -drive file='/tmp/stg71.qcow2',if=none,id=virtio-scsi-id71,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=71,lun=16382,drive=virtio-scsi-id71 \
    -drive file='/tmp/stg72.qcow2',if=none,id=virtio-scsi-id72,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=72,lun=0,drive=virtio-scsi-id72 \
    -drive file='/tmp/stg73.qcow2',if=none,id=virtio-scsi-id73,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=73,lun=8191,drive=virtio-scsi-id73 \
    -drive file='/tmp/stg74.qcow2',if=none,id=virtio-scsi-id74,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=74,lun=16382,drive=virtio-scsi-id74 \
    -drive file='/tmp/stg75.qcow2',if=none,id=virtio-scsi-id75,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=75,lun=0,drive=virtio-scsi-id75 \
    -drive file='/tmp/stg76.qcow2',if=none,id=virtio-scsi-id76,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=76,lun=8191,drive=virtio-scsi-id76 \
    -drive file='/tmp/stg77.qcow2',if=none,id=virtio-scsi-id77,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=77,lun=16382,drive=virtio-scsi-id77 \
    -drive file='/tmp/stg78.qcow2',if=none,id=virtio-scsi-id78,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=78,lun=0,drive=virtio-scsi-id78 \
    -drive file='/tmp/stg79.qcow2',if=none,id=virtio-scsi-id79,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=79,lun=8191,drive=virtio-scsi-id79 \
    -drive file='/tmp/stg80.qcow2',if=none,id=virtio-scsi-id80,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=80,lun=16382,drive=virtio-scsi-id80 \
    -drive file='/tmp/stg81.qcow2',if=none,id=virtio-scsi-id81,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=81,lun=0,drive=virtio-scsi-id81 \
    -drive file='/tmp/stg82.qcow2',if=none,id=virtio-scsi-id82,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=82,lun=8191,drive=virtio-scsi-id82 \
    -drive file='/tmp/stg83.qcow2',if=none,id=virtio-scsi-id83,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=83,lun=16382,drive=virtio-scsi-id83 \
    -drive file='/tmp/stg84.qcow2',if=none,id=virtio-scsi-id84,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=84,lun=0,drive=virtio-scsi-id84 \
    -drive file='/tmp/stg85.qcow2',if=none,id=virtio-scsi-id85,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=85,lun=8191,drive=virtio-scsi-id85 \
    -drive file='/tmp/stg86.qcow2',if=none,id=virtio-scsi-id86,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=86,lun=16382,drive=virtio-scsi-id86 \
    -drive file='/tmp/stg87.qcow2',if=none,id=virtio-scsi-id87,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=87,lun=0,drive=virtio-scsi-id87 \
    -drive file='/tmp/stg88.qcow2',if=none,id=virtio-scsi-id88,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=88,lun=8191,drive=virtio-scsi-id88 \
    -drive file='/tmp/stg89.qcow2',if=none,id=virtio-scsi-id89,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=89,lun=16382,drive=virtio-scsi-id89 \
    -drive file='/tmp/stg90.qcow2',if=none,id=virtio-scsi-id90,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=90,lun=0,drive=virtio-scsi-id90 \
    -drive file='/tmp/stg91.qcow2',if=none,id=virtio-scsi-id91,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=91,lun=8191,drive=virtio-scsi-id91 \
    -drive file='/tmp/stg92.qcow2',if=none,id=virtio-scsi-id92,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=92,lun=16382,drive=virtio-scsi-id92 \
    -drive file='/tmp/stg93.qcow2',if=none,id=virtio-scsi-id93,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=93,lun=0,drive=virtio-scsi-id93 \
    -drive file='/tmp/stg94.qcow2',if=none,id=virtio-scsi-id94,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=94,lun=8191,drive=virtio-scsi-id94 \
    -drive file='/tmp/stg95.qcow2',if=none,id=virtio-scsi-id95,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=95,lun=16382,drive=virtio-scsi-id95 \
    -drive file='/tmp/stg96.qcow2',if=none,id=virtio-scsi-id96,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=96,lun=0,drive=virtio-scsi-id96 \
    -drive file='/tmp/stg97.qcow2',if=none,id=virtio-scsi-id97,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=97,lun=8191,drive=virtio-scsi-id97 \
    -drive file='/tmp/stg98.qcow2',if=none,id=virtio-scsi-id98,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=98,lun=16382,drive=virtio-scsi-id98 \
    -drive file='/tmp/stg99.qcow2',if=none,id=virtio-scsi-id99,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=99,lun=0,drive=virtio-scsi-id99 \
    -drive file='/tmp/stg100.qcow2',if=none,id=virtio-scsi-id100,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=100,lun=8191,drive=virtio-scsi-id100 \
    -drive file='/tmp/stg101.qcow2',if=none,id=virtio-scsi-id101,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=101,lun=16382,drive=virtio-scsi-id101 \
    -drive file='/tmp/stg102.qcow2',if=none,id=virtio-scsi-id102,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=102,lun=0,drive=virtio-scsi-id102 \
    -drive file='/tmp/stg103.qcow2',if=none,id=virtio-scsi-id103,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=103,lun=8191,drive=virtio-scsi-id103 \
    -drive file='/tmp/stg104.qcow2',if=none,id=virtio-scsi-id104,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=104,lun=16382,drive=virtio-scsi-id104 \
    -drive file='/tmp/stg105.qcow2',if=none,id=virtio-scsi-id105,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=105,lun=0,drive=virtio-scsi-id105 \
    -drive file='/tmp/stg106.qcow2',if=none,id=virtio-scsi-id106,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=106,lun=8191,drive=virtio-scsi-id106 \
    -drive file='/tmp/stg107.qcow2',if=none,id=virtio-scsi-id107,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=107,lun=16382,drive=virtio-scsi-id107 \
    -drive file='/tmp/stg108.qcow2',if=none,id=virtio-scsi-id108,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=108,lun=0,drive=virtio-scsi-id108 \
    -drive file='/tmp/stg109.qcow2',if=none,id=virtio-scsi-id109,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=109,lun=8191,drive=virtio-scsi-id109 \
    -drive file='/tmp/stg110.qcow2',if=none,id=virtio-scsi-id110,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=110,lun=16382,drive=virtio-scsi-id110 \
    -drive file='/tmp/stg111.qcow2',if=none,id=virtio-scsi-id111,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=111,lun=0,drive=virtio-scsi-id111 \
    -drive file='/tmp/stg112.qcow2',if=none,id=virtio-scsi-id112,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=112,lun=8191,drive=virtio-scsi-id112 \
    -drive file='/tmp/stg113.qcow2',if=none,id=virtio-scsi-id113,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=113,lun=16382,drive=virtio-scsi-id113 \
    -drive file='/tmp/stg114.qcow2',if=none,id=virtio-scsi-id114,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=114,lun=0,drive=virtio-scsi-id114 \
    -drive file='/tmp/stg115.qcow2',if=none,id=virtio-scsi-id115,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=115,lun=8191,drive=virtio-scsi-id115 \
    -drive file='/tmp/stg116.qcow2',if=none,id=virtio-scsi-id116,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=116,lun=16382,drive=virtio-scsi-id116 \
    -drive file='/tmp/stg117.qcow2',if=none,id=virtio-scsi-id117,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=117,lun=0,drive=virtio-scsi-id117 \
    -drive file='/tmp/stg118.qcow2',if=none,id=virtio-scsi-id118,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=118,lun=8191,drive=virtio-scsi-id118 \
    -drive file='/tmp/stg119.qcow2',if=none,id=virtio-scsi-id119,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=119,lun=16382,drive=virtio-scsi-id119 \
    -drive file='/tmp/stg120.qcow2',if=none,id=virtio-scsi-id120,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=120,lun=0,drive=virtio-scsi-id120 \
    -drive file='/tmp/stg121.qcow2',if=none,id=virtio-scsi-id121,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=121,lun=8191,drive=virtio-scsi-id121 \
    -drive file='/tmp/stg122.qcow2',if=none,id=virtio-scsi-id122,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=122,lun=16382,drive=virtio-scsi-id122 \
    -drive file='/tmp/stg123.qcow2',if=none,id=virtio-scsi-id123,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=123,lun=0,drive=virtio-scsi-id123 \
    -drive file='/tmp/stg124.qcow2',if=none,id=virtio-scsi-id124,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=124,lun=8191,drive=virtio-scsi-id124 \
    -drive file='/tmp/stg125.qcow2',if=none,id=virtio-scsi-id125,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=125,lun=16382,drive=virtio-scsi-id125 \
    -drive file='/tmp/stg126.qcow2',if=none,id=virtio-scsi-id126,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=126,lun=0,drive=virtio-scsi-id126 \
    -drive file='/tmp/stg127.qcow2',if=none,id=virtio-scsi-id127,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=127,lun=8191,drive=virtio-scsi-id127 \
    -drive file='/tmp/stg128.qcow2',if=none,id=virtio-scsi-id128,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=128,lun=16382,drive=virtio-scsi-id128 \
    -drive file='/tmp/stg129.qcow2',if=none,id=virtio-scsi-id129,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=129,lun=0,drive=virtio-scsi-id129 \
    -drive file='/tmp/stg130.qcow2',if=none,id=virtio-scsi-id130,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=130,lun=8191,drive=virtio-scsi-id130 \
    -drive file='/tmp/stg131.qcow2',if=none,id=virtio-scsi-id131,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=131,lun=16382,drive=virtio-scsi-id131 \
    -drive file='/tmp/stg132.qcow2',if=none,id=virtio-scsi-id132,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=132,lun=0,drive=virtio-scsi-id132 \
    -drive file='/tmp/stg133.qcow2',if=none,id=virtio-scsi-id133,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=133,lun=8191,drive=virtio-scsi-id133 \
    -drive file='/tmp/stg134.qcow2',if=none,id=virtio-scsi-id134,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=134,lun=16382,drive=virtio-scsi-id134 \
    -drive file='/tmp/stg135.qcow2',if=none,id=virtio-scsi-id135,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=135,lun=0,drive=virtio-scsi-id135 \
    -drive file='/tmp/stg136.qcow2',if=none,id=virtio-scsi-id136,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=136,lun=8191,drive=virtio-scsi-id136 \
    -drive file='/tmp/stg137.qcow2',if=none,id=virtio-scsi-id137,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=137,lun=16382,drive=virtio-scsi-id137 \
    -drive file='/tmp/stg138.qcow2',if=none,id=virtio-scsi-id138,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=138,lun=0,drive=virtio-scsi-id138 \
    -drive file='/tmp/stg139.qcow2',if=none,id=virtio-scsi-id139,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=139,lun=8191,drive=virtio-scsi-id139 \
    -drive file='/tmp/stg140.qcow2',if=none,id=virtio-scsi-id140,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=140,lun=16382,drive=virtio-scsi-id140 \
    -drive file='/tmp/stg141.qcow2',if=none,id=virtio-scsi-id141,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=141,lun=0,drive=virtio-scsi-id141 \
    -drive file='/tmp/stg142.qcow2',if=none,id=virtio-scsi-id142,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=142,lun=8191,drive=virtio-scsi-id142 \
    -drive file='/tmp/stg143.qcow2',if=none,id=virtio-scsi-id143,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=143,lun=16382,drive=virtio-scsi-id143 \
    -drive file='/tmp/stg144.qcow2',if=none,id=virtio-scsi-id144,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=144,lun=0,drive=virtio-scsi-id144 \
    -drive file='/tmp/stg145.qcow2',if=none,id=virtio-scsi-id145,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=145,lun=8191,drive=virtio-scsi-id145 \
    -drive file='/tmp/stg146.qcow2',if=none,id=virtio-scsi-id146,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=146,lun=16382,drive=virtio-scsi-id146 \
    -drive file='/tmp/stg147.qcow2',if=none,id=virtio-scsi-id147,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=147,lun=0,drive=virtio-scsi-id147 \
    -drive file='/tmp/stg148.qcow2',if=none,id=virtio-scsi-id148,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=148,lun=8191,drive=virtio-scsi-id148 \
    -drive file='/tmp/stg149.qcow2',if=none,id=virtio-scsi-id149,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=149,lun=16382,drive=virtio-scsi-id149 \
    -drive file='/tmp/stg150.qcow2',if=none,id=virtio-scsi-id150,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=150,lun=0,drive=virtio-scsi-id150 \
    -drive file='/tmp/stg151.qcow2',if=none,id=virtio-scsi-id151,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=151,lun=8191,drive=virtio-scsi-id151 \
    -drive file='/tmp/stg152.qcow2',if=none,id=virtio-scsi-id152,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=152,lun=16382,drive=virtio-scsi-id152 \
    -drive file='/tmp/stg153.qcow2',if=none,id=virtio-scsi-id153,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=153,lun=0,drive=virtio-scsi-id153 \
    -drive file='/tmp/stg154.qcow2',if=none,id=virtio-scsi-id154,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=154,lun=8191,drive=virtio-scsi-id154 \
    -drive file='/tmp/stg155.qcow2',if=none,id=virtio-scsi-id155,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=155,lun=16382,drive=virtio-scsi-id155 \
    -drive file='/tmp/stg156.qcow2',if=none,id=virtio-scsi-id156,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=156,lun=0,drive=virtio-scsi-id156 \
    -drive file='/tmp/stg157.qcow2',if=none,id=virtio-scsi-id157,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=157,lun=8191,drive=virtio-scsi-id157 \
    -drive file='/tmp/stg158.qcow2',if=none,id=virtio-scsi-id158,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=158,lun=16382,drive=virtio-scsi-id158 \
    -drive file='/tmp/stg159.qcow2',if=none,id=virtio-scsi-id159,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=159,lun=0,drive=virtio-scsi-id159 \
    -drive file='/tmp/stg160.qcow2',if=none,id=virtio-scsi-id160,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=160,lun=8191,drive=virtio-scsi-id160 \
    -drive file='/tmp/stg161.qcow2',if=none,id=virtio-scsi-id161,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=161,lun=16382,drive=virtio-scsi-id161 \
    -drive file='/tmp/stg162.qcow2',if=none,id=virtio-scsi-id162,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=162,lun=0,drive=virtio-scsi-id162 \
    -drive file='/tmp/stg163.qcow2',if=none,id=virtio-scsi-id163,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=163,lun=8191,drive=virtio-scsi-id163 \
    -drive file='/tmp/stg164.qcow2',if=none,id=virtio-scsi-id164,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=164,lun=16382,drive=virtio-scsi-id164 \
    -drive file='/tmp/stg165.qcow2',if=none,id=virtio-scsi-id165,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=165,lun=0,drive=virtio-scsi-id165 \
    -drive file='/tmp/stg166.qcow2',if=none,id=virtio-scsi-id166,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=166,lun=8191,drive=virtio-scsi-id166 \
    -drive file='/tmp/stg167.qcow2',if=none,id=virtio-scsi-id167,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=167,lun=16382,drive=virtio-scsi-id167 \
    -drive file='/tmp/stg168.qcow2',if=none,id=virtio-scsi-id168,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=168,lun=0,drive=virtio-scsi-id168 \
    -drive file='/tmp/stg169.qcow2',if=none,id=virtio-scsi-id169,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=169,lun=8191,drive=virtio-scsi-id169 \
    -drive file='/tmp/stg170.qcow2',if=none,id=virtio-scsi-id170,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=170,lun=16382,drive=virtio-scsi-id170 \
    -drive file='/tmp/stg171.qcow2',if=none,id=virtio-scsi-id171,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=171,lun=0,drive=virtio-scsi-id171 \
    -drive file='/tmp/stg172.qcow2',if=none,id=virtio-scsi-id172,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=172,lun=8191,drive=virtio-scsi-id172 \
    -drive file='/tmp/stg173.qcow2',if=none,id=virtio-scsi-id173,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=173,lun=16382,drive=virtio-scsi-id173 \
    -drive file='/tmp/stg174.qcow2',if=none,id=virtio-scsi-id174,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=174,lun=0,drive=virtio-scsi-id174 \
    -drive file='/tmp/stg175.qcow2',if=none,id=virtio-scsi-id175,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=175,lun=8191,drive=virtio-scsi-id175 \
    -drive file='/tmp/stg176.qcow2',if=none,id=virtio-scsi-id176,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=176,lun=16382,drive=virtio-scsi-id176 \
    -drive file='/tmp/stg177.qcow2',if=none,id=virtio-scsi-id177,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=177,lun=0,drive=virtio-scsi-id177 \
    -drive file='/tmp/stg178.qcow2',if=none,id=virtio-scsi-id178,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=178,lun=8191,drive=virtio-scsi-id178 \
    -drive file='/tmp/stg179.qcow2',if=none,id=virtio-scsi-id179,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=179,lun=16382,drive=virtio-scsi-id179 \
    -drive file='/tmp/stg180.qcow2',if=none,id=virtio-scsi-id180,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=180,lun=0,drive=virtio-scsi-id180 \
    -drive file='/tmp/stg181.qcow2',if=none,id=virtio-scsi-id181,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=181,lun=8191,drive=virtio-scsi-id181 \
    -drive file='/tmp/stg182.qcow2',if=none,id=virtio-scsi-id182,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=182,lun=16382,drive=virtio-scsi-id182 \
    -drive file='/tmp/stg183.qcow2',if=none,id=virtio-scsi-id183,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=183,lun=0,drive=virtio-scsi-id183 \
    -drive file='/tmp/stg184.qcow2',if=none,id=virtio-scsi-id184,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=184,lun=8191,drive=virtio-scsi-id184 \
    -drive file='/tmp/stg185.qcow2',if=none,id=virtio-scsi-id185,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=185,lun=16382,drive=virtio-scsi-id185 \
    -drive file='/tmp/stg186.qcow2',if=none,id=virtio-scsi-id186,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=186,lun=0,drive=virtio-scsi-id186 \
    -drive file='/tmp/stg187.qcow2',if=none,id=virtio-scsi-id187,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=187,lun=8191,drive=virtio-scsi-id187 \
    -drive file='/tmp/stg188.qcow2',if=none,id=virtio-scsi-id188,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=188,lun=16382,drive=virtio-scsi-id188 \
    -drive file='/tmp/stg189.qcow2',if=none,id=virtio-scsi-id189,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=189,lun=0,drive=virtio-scsi-id189 \
    -drive file='/tmp/stg190.qcow2',if=none,id=virtio-scsi-id190,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=190,lun=8191,drive=virtio-scsi-id190 \
    -drive file='/tmp/stg191.qcow2',if=none,id=virtio-scsi-id191,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=191,lun=16382,drive=virtio-scsi-id191 \
    -drive file='/tmp/stg192.qcow2',if=none,id=virtio-scsi-id192,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=192,lun=0,drive=virtio-scsi-id192 \
    -drive file='/tmp/stg193.qcow2',if=none,id=virtio-scsi-id193,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=193,lun=8191,drive=virtio-scsi-id193 \
    -drive file='/tmp/stg194.qcow2',if=none,id=virtio-scsi-id194,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=194,lun=16382,drive=virtio-scsi-id194 \
    -drive file='/tmp/stg195.qcow2',if=none,id=virtio-scsi-id195,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=195,lun=0,drive=virtio-scsi-id195 \
    -drive file='/tmp/stg196.qcow2',if=none,id=virtio-scsi-id196,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=196,lun=8191,drive=virtio-scsi-id196 \
    -drive file='/tmp/stg197.qcow2',if=none,id=virtio-scsi-id197,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=197,lun=16382,drive=virtio-scsi-id197 \
    -drive file='/tmp/stg198.qcow2',if=none,id=virtio-scsi-id198,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=198,lun=0,drive=virtio-scsi-id198 \
    -drive file='/tmp/stg199.qcow2',if=none,id=virtio-scsi-id199,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=199,lun=8191,drive=virtio-scsi-id199 \
    -drive file='/tmp/stg200.qcow2',if=none,id=virtio-scsi-id200,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=200,lun=16382,drive=virtio-scsi-id200 \
    -drive file='/tmp/stg201.qcow2',if=none,id=virtio-scsi-id201,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=201,lun=0,drive=virtio-scsi-id201 \
    -drive file='/tmp/stg202.qcow2',if=none,id=virtio-scsi-id202,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=202,lun=8191,drive=virtio-scsi-id202 \
    -drive file='/tmp/stg203.qcow2',if=none,id=virtio-scsi-id203,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=203,lun=16382,drive=virtio-scsi-id203 \
    -drive file='/tmp/stg204.qcow2',if=none,id=virtio-scsi-id204,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=204,lun=0,drive=virtio-scsi-id204 \
    -drive file='/tmp/stg205.qcow2',if=none,id=virtio-scsi-id205,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=205,lun=8191,drive=virtio-scsi-id205 \
    -drive file='/tmp/stg206.qcow2',if=none,id=virtio-scsi-id206,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=206,lun=16382,drive=virtio-scsi-id206 \
    -drive file='/tmp/stg207.qcow2',if=none,id=virtio-scsi-id207,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=207,lun=0,drive=virtio-scsi-id207 \
    -drive file='/tmp/stg208.qcow2',if=none,id=virtio-scsi-id208,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=208,lun=8191,drive=virtio-scsi-id208 \
    -drive file='/tmp/stg209.qcow2',if=none,id=virtio-scsi-id209,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=209,lun=16382,drive=virtio-scsi-id209 \
    -drive file='/tmp/stg210.qcow2',if=none,id=virtio-scsi-id210,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=210,lun=0,drive=virtio-scsi-id210 \
    -drive file='/tmp/stg211.qcow2',if=none,id=virtio-scsi-id211,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=211,lun=8191,drive=virtio-scsi-id211 \
    -drive file='/tmp/stg212.qcow2',if=none,id=virtio-scsi-id212,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=212,lun=16382,drive=virtio-scsi-id212 \
    -drive file='/tmp/stg213.qcow2',if=none,id=virtio-scsi-id213,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=213,lun=0,drive=virtio-scsi-id213 \
    -drive file='/tmp/stg214.qcow2',if=none,id=virtio-scsi-id214,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=214,lun=8191,drive=virtio-scsi-id214 \
    -drive file='/tmp/stg215.qcow2',if=none,id=virtio-scsi-id215,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=215,lun=16382,drive=virtio-scsi-id215 \
    -drive file='/tmp/stg216.qcow2',if=none,id=virtio-scsi-id216,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=216,lun=0,drive=virtio-scsi-id216 \
    -drive file='/tmp/stg217.qcow2',if=none,id=virtio-scsi-id217,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=217,lun=8191,drive=virtio-scsi-id217 \
    -drive file='/tmp/stg218.qcow2',if=none,id=virtio-scsi-id218,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=218,lun=16382,drive=virtio-scsi-id218 \
    -drive file='/tmp/stg219.qcow2',if=none,id=virtio-scsi-id219,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=219,lun=0,drive=virtio-scsi-id219 \
    -drive file='/tmp/stg220.qcow2',if=none,id=virtio-scsi-id220,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=220,lun=8191,drive=virtio-scsi-id220 \
    -drive file='/tmp/stg221.qcow2',if=none,id=virtio-scsi-id221,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=221,lun=16382,drive=virtio-scsi-id221 \
    -drive file='/tmp/stg222.qcow2',if=none,id=virtio-scsi-id222,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=222,lun=0,drive=virtio-scsi-id222 \
    -drive file='/tmp/stg223.qcow2',if=none,id=virtio-scsi-id223,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=223,lun=8191,drive=virtio-scsi-id223 \
    -drive file='/tmp/stg224.qcow2',if=none,id=virtio-scsi-id224,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=224,lun=16382,drive=virtio-scsi-id224 \
    -drive file='/tmp/stg225.qcow2',if=none,id=virtio-scsi-id225,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=225,lun=0,drive=virtio-scsi-id225 \
    -drive file='/tmp/stg226.qcow2',if=none,id=virtio-scsi-id226,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=226,lun=8191,drive=virtio-scsi-id226 \
    -drive file='/tmp/stg227.qcow2',if=none,id=virtio-scsi-id227,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=227,lun=16382,drive=virtio-scsi-id227 \
    -drive file='/tmp/stg228.qcow2',if=none,id=virtio-scsi-id228,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=228,lun=0,drive=virtio-scsi-id228 \
    -drive file='/tmp/stg229.qcow2',if=none,id=virtio-scsi-id229,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=229,lun=8191,drive=virtio-scsi-id229 \
    -drive file='/tmp/stg230.qcow2',if=none,id=virtio-scsi-id230,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=230,lun=16382,drive=virtio-scsi-id230 \
    -drive file='/tmp/stg231.qcow2',if=none,id=virtio-scsi-id231,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=231,lun=0,drive=virtio-scsi-id231 \
    -drive file='/tmp/stg232.qcow2',if=none,id=virtio-scsi-id232,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=232,lun=8191,drive=virtio-scsi-id232 \
    -drive file='/tmp/stg233.qcow2',if=none,id=virtio-scsi-id233,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=233,lun=16382,drive=virtio-scsi-id233 \
    -drive file='/tmp/stg234.qcow2',if=none,id=virtio-scsi-id234,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=234,lun=0,drive=virtio-scsi-id234 \
    -drive file='/tmp/stg235.qcow2',if=none,id=virtio-scsi-id235,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=235,lun=8191,drive=virtio-scsi-id235 \
    -drive file='/tmp/stg236.qcow2',if=none,id=virtio-scsi-id236,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=236,lun=16382,drive=virtio-scsi-id236 \
    -drive file='/tmp/stg237.qcow2',if=none,id=virtio-scsi-id237,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=237,lun=0,drive=virtio-scsi-id237 \
    -drive file='/tmp/stg238.qcow2',if=none,id=virtio-scsi-id238,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=238,lun=8191,drive=virtio-scsi-id238 \
    -drive file='/tmp/stg239.qcow2',if=none,id=virtio-scsi-id239,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=239,lun=16382,drive=virtio-scsi-id239 \
    -drive file='/tmp/stg240.qcow2',if=none,id=virtio-scsi-id240,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=240,lun=0,drive=virtio-scsi-id240 \
    -drive file='/tmp/stg241.qcow2',if=none,id=virtio-scsi-id241,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=241,lun=8191,drive=virtio-scsi-id241 \
    -drive file='/tmp/stg242.qcow2',if=none,id=virtio-scsi-id242,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=242,lun=16382,drive=virtio-scsi-id242 \
    -drive file='/tmp/stg243.qcow2',if=none,id=virtio-scsi-id243,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=243,lun=0,drive=virtio-scsi-id243 \
    -drive file='/tmp/stg244.qcow2',if=none,id=virtio-scsi-id244,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=244,lun=8191,drive=virtio-scsi-id244 \
    -drive file='/tmp/stg245.qcow2',if=none,id=virtio-scsi-id245,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=245,lun=16382,drive=virtio-scsi-id245 \
    -drive file='/tmp/stg246.qcow2',if=none,id=virtio-scsi-id246,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=246,lun=0,drive=virtio-scsi-id246 \
    -drive file='/tmp/stg247.qcow2',if=none,id=virtio-scsi-id247,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=247,lun=8191,drive=virtio-scsi-id247 \
    -drive file='/tmp/stg248.qcow2',if=none,id=virtio-scsi-id248,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=248,lun=16382,drive=virtio-scsi-id248 \
    -drive file='/tmp/stg249.qcow2',if=none,id=virtio-scsi-id249,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=249,lun=0,drive=virtio-scsi-id249 \
    -drive file='/tmp/stg250.qcow2',if=none,id=virtio-scsi-id250,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=250,lun=8191,drive=virtio-scsi-id250 \
    -drive file='/tmp/stg251.qcow2',if=none,id=virtio-scsi-id251,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=251,lun=16382,drive=virtio-scsi-id251 \
    -drive file='/tmp/stg252.qcow2',if=none,id=virtio-scsi-id252,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=252,lun=0,drive=virtio-scsi-id252 \
    -drive file='/tmp/stg253.qcow2',if=none,id=virtio-scsi-id253,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=253,lun=8191,drive=virtio-scsi-id253 \
    -drive file='/tmp/stg254.qcow2',if=none,id=virtio-scsi-id254,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=254,lun=16382,drive=virtio-scsi-id254 \
    -device rtl8139,netdev=idk2foL8,mac='9a:fc:fd:fe:ff:00',bus=pci.0,addr=0x3,id='idsXWBd0' \
    -netdev tap,id=idk2foL8,vhost=on,vhostfd=20,fd=22 \
    -m 2048 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M pc \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off   \
    -no-kvm-pit-reinjection \
    -enable-kvm
2. wait guest boot up


Actual results:

test unit ready failed

Expected results:

boot form ide drive

Additional info:

see seabios log in attachment

Comment 1 xu 2013-09-04 04:36:58 UTC
Created attachment 793457 [details]
seabois log

Comment 3 Asias He 2013-09-06 23:14:06 UTC
Only LUN 0 is supported for booting in current seabios.

src/virtio-scsi.c
static int
virtio_scsi_scan_target(struct pci_device *pci, u16 ioaddr,
                        struct vring_virtqueue *vq, u16 target)
{
    /* TODO: send REPORT LUNS.  For now, only LUN 0 is recognized.  */
    int ret = virtio_scsi_add_lun(pci, ioaddr, vq, target, 0);
    return ret < 0 ? 0 : 1;
}

Comment 4 Asias He 2013-09-06 23:15:20 UTC
Are you booting from a scsi lun or ide disk? 

You have this in your cmd line.
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,bootindex=0

Comment 5 xu 2013-09-09 03:02:16 UTC
(In reply to Asias He from comment #4)
> Are you booting from a scsi lun or ide disk? 
> 
> You have this in your cmd line.
> -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,bootindex=0
Hi Asias,

we have below cmdline:

  -drive file='/root/test/autotest/client/tests/virt/shared/data/images/RHEL-Server-7.0-64.qcow2',if=none,id=drive-ide0-0-0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,bootindex=0 \

bootindex of this IDE drive is 0, so I thinks guest should boot from this drive first but in fact guest fail to boot at init scsi disk in seabios, you can check seabios for details;

Thanks,
Xu

Comment 7 Paolo Bonzini 2014-01-13 14:20:16 UTC
It will eventually boot, but each target will make the scan take 5 seconds.  Example (15 seconds):

/usr/libexec/qemu-kvm ~/test2.img -m 384 \
    -debugcon stdio -global isa-debugcon.iobase=0x402 -m 384
    -device virtio-scsi-pci \
    -drive if=none,id=cd0 -device scsi-cd,scsi-id=0,lun=2,drive=cd0 \
    -drive if=none,id=cd1 -device scsi-cd,scsi-id=1,lun=2,drive=cd1 \
    -drive if=none,id=cd2 -device scsi-cd,scsi-id=2,lun=2,drive=cd2

The easiest fix is to support TEST UNIT READY in the QEMU TARGET device, so I'm changing the component.

Comment 8 Paolo Bonzini 2014-01-16 12:10:56 UTC
Patch posted upstream: "scsi: Support TEST UNIT READY in the dummy LUN0"

Comment 11 Miroslav Rezanina 2014-02-12 11:59:44 UTC
Fix included in qemu-kvm-1.5.3-47.el7

Comment 13 huiqingding 2014-02-18 08:24:33 UTC
Reproduce this bug using the following version:
qemu-kvm-1.5.3-46.el7.x86_64
kernel-3.10.0-88.el7.x86_64

Steps to Reproduce:
1. boot guest with command line of comment 0
/usr/libexec/qemu-kvm \
   -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130904-095510-C4rRgLUg,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130904-095510-C4rRgLUg,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130904-095510-C4rRgLUg,path=/tmp/seabios-20130904-095510-C4rRgLUg,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130904-095510-C4rRgLUg,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/home/rhel7base.qcow2_v3',if=none,id=drive-ide0-0-0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,bootindex=0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5 \
    -drive file='/tmp/stg0.qcow2',if=none,id=virtio-scsi-id0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=0,lun=0,drive=virtio-scsi-id0 \
... ...
    -drive file='/tmp/stg254.qcow2',if=none,id=virtio-scsi-id254,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=254,lun=16382,drive=virtio-scsi-id254 \
    -device rtl8139,netdev=idk2foL8,mac='9a:fc:fd:fe:ff:00',bus=pci.0,addr=0x3,id='idsXWBd0' \
    -netdev tap,id=idk2foL8,vhost=on \
    -m 2048 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M pc \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off   \
    -no-kvm-pit-reinjection \
    -enable-kvm

Actual results:
after step1, the guest can boot but the seabios log is as following:
test unit ready failed
scsi_is_ready returned -1
Searching bootorder for: /pci@i0cf8/*@5/*@0/*@237,0
virtio-scsi vendor='QEMU' product='QEMU HARDDISK' rev='1.5.' type=0 removable=0
virtio-scsi blksize=512 sectors=2097152
Searching bootorder for: /pci@i0cf8/*@5/*@0/*@238,0
virtio-scsi vendor='QEMU' product='QEMU TARGET' rev='1.5' type=31 removable=0
test unit ready failed
scsi_is_ready returned -1
Searching bootorder for: /pci@i0cf8/*@5/*@0/*@239,0
virtio-scsi vendor='QEMU' product='QEMU TARGET' rev='1.5' type=31 removable=0
test unit ready failed
scsi_is_ready returned -1
Searching bootorder for: /pci@i0cf8/*@5/*@0/*@240,0
virtio-scsi vendor='QEMU' product='QEMU HARDDISK' rev='1.5.' type=0 removable=0
virtio-scsi blksize=512 sectors=2097152
Searching bootorder for: /pci@i0cf8/*@5/*@0/*@241,0
virtio-scsi vendor='QEMU' product='QEMU TARGET' rev='1.5' type=31 removable=0
test unit ready failed
scsi_is_ready returned -1

Verify this bug using the following version:
qemu-kvm-1.5.3-48.el7.x86_64
kernel-3.10.0-88.el7.x86_64

Steps to Verification:
1. boot guest with command line of comment 0
/usr/libexec/qemu-kvm \
   -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130904-095510-C4rRgLUg,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130904-095510-C4rRgLUg,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130904-095510-C4rRgLUg,path=/tmp/seabios-20130904-095510-C4rRgLUg,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130904-095510-C4rRgLUg,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/home/rhel7base.qcow2_v3',if=none,id=drive-ide0-0-0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,bootindex=0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5 \
    -drive file='/tmp/stg0.qcow2',if=none,id=virtio-scsi-id0,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=0,lun=0,drive=virtio-scsi-id0 \
... ...
    -drive file='/tmp/stg254.qcow2',if=none,id=virtio-scsi-id254,media=disk,cache=unsafe,snapshot=off,format=qcow2,aio=native \
    -device scsi-disk,scsi-id=254,lun=16382,drive=virtio-scsi-id254 \
    -device rtl8139,netdev=idk2foL8,mac='9a:fc:fd:fe:ff:00',bus=pci.0,addr=0x3,id='idsXWBd0' \
    -netdev tap,id=idk2foL8,vhost=on \
    -m 2048 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M pc \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off   \
    -no-kvm-pit-reinjection \
    -enable-kvm

Actual results:
after step1, the guest can boot, use "fdisk -l" can see the virtio-scsi disks and the seabios log has no error information as following:
VBE mode info request: 101
VBE mode info request: 111
VBE mode info request: 110
VBE mode info request: 112
VBE mode info request: 103
VBE mode info request: 114
VBE mode info request: 113
VBE mode info request: 105
VBE mode info request: 117
VBE mode info request: 116
VBE mode info request: 115
VBE mode info request: 118
VBE mode info request: 107
VBE mode info request: 119
VBE mode info request: 11a
VBE mode info request: 0
VBE mode info request: 1
VBE mode info request: 2
VBE mode info request: 3
VBE mode info request: 4
VBE mode info request: 5
VBE mode info request: 6
VBE mode info request: 7
VBE mode info request: d
VBE mode info request: e
VBE mode info request: f
VBE mode info request: 10
VBE mode info request: 11
VBE mode info request: 12
VBE mode info request: 13
VBE mode info request: 6a
set VGA mode 3
cirrus mode switch regular

Based on the above results, I think this bug has been fixed.

Comment 15 Ludek Smid 2014-06-13 09:54:31 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.